import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import { GetChannelRequest, GetChannelResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelCommandInput extends GetChannelRequest {}
export interface GetChannelCommandOutput
  extends GetChannelResponse,
    __MetadataBearer {}
declare const GetChannelCommand_base: {
  new (
    input: GetChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetChannelCommandInput,
    GetChannelCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetChannelCommand extends GetChannelCommand_base {}
